#ifndef LEARNGTK4_APP_WIN_2_BACK_HPP
#define LEARNGTK4_APP_WIN_2_BACK_HPP

#include <gtkmm/application.h>
#include <glibmm/refptr.h>

namespace learn_gtkmm4 {
    class HelloWorld;
}

namespace Gtk {
    class Switch;
}

namespace gui_to_app {

    class AppWin2Back final : public Gtk::Application {
    public:
        ~AppWin2Back() noexcept final = default;

        static Glib::RefPtr<AppWin2Back> create();

    protected:
        AppWin2Back();

        void on_startup() final;

        void on_activate() final;

    private:
        void on_quit() noexcept;

        learn_gtkmm4::HelloWorld *main_window{ nullptr };
        Gtk::Switch *sword_switch{ nullptr };
        Gtk::Switch *lance_switch{ nullptr };
        Gtk::Switch *morgen_switch{ nullptr };
        Gtk::Switch *bow_switch{ nullptr };

        Gtk::Switch *chainmail_switch{ nullptr };
        Gtk::Switch *cookpot_switch{ nullptr };
        Gtk::Switch *pamphlet_switch{ nullptr };
        Gtk::Switch *medkit_switch{ nullptr };

        Gtk::Switch *fourche_switch{ nullptr };
        Gtk::Switch *dagger_switch{ nullptr };
        Gtk::Switch *rock_kit_switch{ nullptr };
        Gtk::Switch *sack_switch{ nullptr };
    };

} // gui_to_app

#endif //LEARNGTK4_APP_WIN_2_BACK_HPP
